# DBP CLI

[GitLab Repository](https://gitlab.tugraz.at/dbp/cli) |
[npmjs package](https://www.npmjs.com/package/@digital-blueprint/cli)

This is CLI to manage DBP frontend applications.

## Install apps

`npx @digital-blueprint/cli@latest install-app <package-name> <destination-directory> <server-path-prefix>`

* `package-name` - the application that you want to install. See https://www.npmjs.com/search?q=%40digital-blueprint for a list of applications.
* `destination-directory` - the local directory where the application should be installed to
* `server-path-prefix` - the URL path under which the application will be reachable on the web server. e.g. `/` in case it is `myapp.mydomain.org`, or `/myapp` in case it is `mydomain.org/myapp`.

If you want to install the DBP Signature App in a new folder `signature-app` with a path prefix `/` you can call:

```bash
npx @digital-blueprint/cli@latest install-app @digital-blueprint/signature-app signature-app /
```

Afterwards you can point your Apache web-server to `signature-app/public`.

If you want to reach your web application with a path prefix like `https://mydomain.com/apps/signature` you can call:

```bash
npx @digital-blueprint/cli@latest install-app @digital-blueprint/signature-app /apps/signature
```

To install to the current directory you can simply call:

```bash
npx @digital-blueprint/cli@latest install-app @digital-blueprint/signature-app
```

**Warning:** There may be issues when you run these commands as root user, best use a non-root user, like `www-data`.
To do this you can for example open a shell with `runuser -u www-data -- bash`.

## Update apps

`npx @digital-blueprint/cli@latest update-ap <package-name>`

If you want to update the DBP Signature App in the current folder you can call:

```bash
npx @digital-blueprint/cli@latest update-app @digital-blueprint/signature-app
```

**Warning:** There may be issues when you run these commands as root user, best use a non-root user, like `www-data`.
To do this you can for example open a shell with `runuser -u www-data -- bash`.
